property theView : missing value

on awake from nib theObject
	set theView to theObject
	updateInterface()
end awake from nib

on action theObject
	updateInterface()
end action

on clicked theObject
	if class of theObject is matrix then
		set c1 to current cell of theObject
		if state of c1 is on state then
			set t1 to (get title of c1)
			set theCells to (get every cell of theObject)
			repeat with aCell in theCells
				if title of aCell is not t1 then
					set state of aCell to off state
				end if
			end repeat
		end if
	end if
	updateInterface()
end clicked

on changed theObject
	updateInterface()
end changed

on updateInterface()
	tell theView
		tell matrix "abrCbrMatrix"
			set abrSwitch to state of cell "abrSwitch"
			set cbrSwitch to state of cell "cbrSwitch"
		end tell
		set s to title of popup button 1
		set s1 to "lame --preset "
		if (state of button "fastSwitch") is 1 then
			if cbrSwitch is off state and abrSwitch is off state then
				if s is in {"medium", "standard", "extreme"} then
					set s1 to s1 & "fast "
				end if
			end if
		end if
		if abrSwitch is on state then
			set s to ""
		end if
		if cbrSwitch is on state then
			set s to "cbr "
		end if
		if abrSwitch is on state or cbrSwitch is on state then
			set enabled of text field "cbrText" to true
			try
				set s to s & (content of text field "cbrText" as integer)
			on error
				set s to s & "128"
			end try
		else
			set enabled of text field "cbrText" to false
		end if
		set content of text field "example" to s1 & s
	end tell
end updateInterface

on update parameters theObject parameters theParameters
	updateInterface()
	set |exampleText| of theParameters to (content of text field "example" of theView)
	return theParameters
end update parameters


